Loading...
Searching...
No Matches
libdar::terminateur Class Reference
Private

terminateur class indicates the location of the beginning of the catalogue More...

`#include <terminateur.hpp>`

## Public Member Functions

| terminateur (const terminateur &ref)=default
| terminateur (terminateur &&ref) noexcept=default
terminateur & | operator= (const terminateur &ref)=default
terminateur & | operator= (terminateur &&ref) noexcept=default
void | set_catalogue_start (infinint xpos)
void | dump (generic_file &f)
void | read_catalogue (generic_file &f, bool with_elastic, const archive_version &reading_ver, const infinint &where_from=0)
infinint | get_catalogue_start () const
infinint | get_terminateur_start () const

## Private Attributes

infinint | pos
infinint | t_start

## Detailed Description

terminateur class indicates the location of the beginning of the catalogue

it is the last bytes sequence of an archive.

Definition at line 46 of file terminateur.hpp.

## Constructor & Destructor Documentation

## terminateur()

libdar::terminateur::terminateur | ( |  | ) |

inline

Definition at line 49 of file terminateur.hpp.

## Member Function Documentation

## get_catalogue_start()

infinint libdar::terminateur::get_catalogue_start | ( |  | ) | const

inline

Definition at line 59 of file terminateur.hpp.

## get_terminateur_start()

infinint libdar::terminateur::get_terminateur_start | ( |  | ) | const

inline

Definition at line 60 of file terminateur.hpp.

## set_catalogue_start()

void libdar::terminateur::set_catalogue_start | ( | infinint | xpos | ) |

inline

Definition at line 56 of file terminateur.hpp.

## Member Data Documentation

## pos

infinint libdar::terminateur::pos

private

Definition at line 63 of file terminateur.hpp.

## t_start

infinint libdar::terminateur::t_start

private

Definition at line 64 of file terminateur.hpp.

The documentation for this class was generated from the following file:

- terminateur.hpp